summaryrefslogtreecommitdiff
path: root/source/autogen.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2003-02-04 10:54:01 +0000
committerAndrew Bartlett <abartlet@samba.org>2003-02-04 10:54:01 +0000
commit9e8e352e102b75489b4540d701ce2c67c0f3cf31 (patch)
treebe67a42b7c630a89328c5eccbfdc220ae21649c7 /source/autogen.sh
parent49640635b15f53be6bb28d3d79255abe10c207dd (diff)
downloadsamba-9e8e352e102b75489b4540d701ce2c67c0f3cf31.tar.gz
Add autogen.sh from distcc via mbp.
This to allow us to remove configure from CVS.
Diffstat (limited to 'source/autogen.sh')
-rwxr-xr-xsource/autogen.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/source/autogen.sh b/source/autogen.sh
new file mode 100755
index 00000000000..28d1608287e
--- /dev/null
+++ b/source/autogen.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+# Run this script to build samba from CVS.
+
+if which autoconf > /dev/null
+then
+ :
+else
+ echo "$0: need autoconf 2.53 or later to build samba from CVS" >&2
+ exit 1
+fi
+
+echo "$0: running autoheader"
+autoheader || exit 1
+
+echo "$0: running autoconf"
+autoconf || exit 1
+echo "Now run ./configure and then make."
+exit 0